> ## Documentation Index
> Fetch the complete documentation index at: https://docs.conductor.is/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a date-driven term

> Retrieves a date-driven term by ID.

**IMPORTANT:** If you need to fetch multiple specific date-driven terms by ID, use the list endpoint instead with the `ids` parameter. It accepts an array of IDs so you can batch the request into a single call, which is significantly faster.



## OpenAPI

````yaml GET /quickbooks-desktop/date-driven-terms/{id}
openapi: 3.1.0
info:
  title: Conductor API
  version: 0.0.1
servers:
  - url: https://api.conductor.is/v1
security:
  - BearerAuth: []
paths:
  /quickbooks-desktop/date-driven-terms/{id}:
    get:
      summary: Retrieve a date-driven term
      description: >-
        Retrieves a date-driven term by ID.


        **IMPORTANT:** If you need to fetch multiple specific date-driven terms
        by ID, use the list endpoint instead with the `ids` parameter. It
        accepts an array of IDs so you can batch the request into a single call,
        which is significantly faster.
      parameters:
        - in: path
          name: id
          description: >-
            The QuickBooks-assigned unique identifier of the date-driven term to
            retrieve.
          schema:
            type: string
            description: >-
              The QuickBooks-assigned unique identifier of the date-driven term
              to retrieve.
            example: 80000001-1234567890
          required: true
        - in: header
          name: Conductor-End-User-Id
          description: The ID of the End-User to receive this request.
          schema:
            type: string
            description: The ID of the End-User to receive this request.
            example: end_usr_1234567abcdefg
            x-stainless-naming:
              typescript:
                method_argument: conductorEndUserId
              mcp:
                method_argument: conductorEndUserId
          required: true
      responses:
        '200':
          description: Returns the specified date-driven term.
          headers:
            Conductor-Request-Id:
              schema:
                type: string
                description: The unique identifier for this API request.
                example: req_1234567abcdefg
              required: true
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/qbd_date_driven_term'
      security:
        - BearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Conductor from 'conductor-node';


            const conductor = new Conductor({
              apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
            });


            const dateDrivenTerm = await
            conductor.qbd.dateDrivenTerms.retrieve('80000001-1234567890', {
              conductorEndUserId: 'end_usr_1234567abcdefg',
            });


            console.log(dateDrivenTerm.id);
        - lang: Python
          source: |-
            import os
            from conductor import Conductor

            conductor = Conductor(
                api_key=os.environ.get("CONDUCTOR_SECRET_KEY"),  # This is the default and can be omitted
            )
            date_driven_term = conductor.qbd.date_driven_terms.retrieve(
                id="80000001-1234567890",
                conductor_end_user_id="end_usr_1234567abcdefg",
            )
            print(date_driven_term.id)
components:
  schemas:
    qbd_date_driven_term:
      type: object
      properties:
        id:
          type: string
          description: >-
            The unique identifier assigned by QuickBooks to this date-driven
            term. This ID is unique across all date-driven terms but not across
            different QuickBooks object types.
          example: 80000001-1234567890
        objectType:
          type: string
          const: qbd_date_driven_term
          description: The type of object. This value is always `"qbd_date_driven_term"`.
          example: qbd_date_driven_term
        createdAt:
          type: string
          description: >-
            The date and time when this date-driven term was created, in ISO
            8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop
            interprets in the local timezone of the end-user's computer.
          example: '2025-01-01T12:34:56.000Z'
        updatedAt:
          type: string
          description: >-
            The date and time when this date-driven term was last updated, in
            ISO 8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks
            Desktop interprets in the local timezone of the end-user's computer.
          example: '2025-02-01T12:34:56.000Z'
        revisionNumber:
          type: string
          description: >-
            The current QuickBooks-assigned revision number of this date-driven
            term object, which changes each time the object is modified. When
            updating this object, you must provide the most recent
            `revisionNumber` to ensure you're working with the latest data;
            otherwise, the update will return an error.
          example: '1721172183'
        name:
          type: string
          description: >-
            The case-insensitive unique name of this date-driven term, unique
            across all date-driven terms.


            **NOTE**: Date-driven terms do not have a `fullName` field because
            they are not hierarchical objects, which is why `name` is unique for
            them but not for objects that have parents.
          example: 2% 5th Net 25th
        isActive:
          type: boolean
          description: >-
            Indicates whether this date-driven term is active. Inactive objects
            are typically hidden from views and reports in QuickBooks. Defaults
            to `true`.
          example: true
        dueDayOfMonth:
          type: number
          description: The day of the month when full payment is due without discount.
          example: 15
        gracePeriodDays:
          type:
            - number
            - 'null'
          description: >-
            The number of days before `dueDayOfMonth` when an invoice or bill
            issued within this threshold is considered due the following month.
            For example, with `dueDayOfMonth` set to 15 and `gracePeriodDays`
            set to 2, an invoice issued on the 13th would be due on the 15th of
            the next month, while an invoice issued on the 12th would be due on
            the 15th of the current month.
          example: 2
        discountDayOfMonth:
          type:
            - number
            - 'null'
          description: >-
            The day of the month within which payment must be received to
            qualify for the discount specified by `discountPercentage`.
          example: 5
        discountPercentage:
          type:
            - string
            - 'null'
          description: >-
            The discount percentage applied to the payment if received on or
            before the specified `discountDayOfMonth`. The value is between 0
            and 100.
          example: '10'
      required:
        - id
        - objectType
        - createdAt
        - updatedAt
        - revisionNumber
        - name
        - isActive
        - dueDayOfMonth
        - gracePeriodDays
        - discountDayOfMonth
        - discountPercentage
      additionalProperties: false
      title: The Date-Driven Term object
      x-conductor-object-type: other
      summary: >-
        A date-driven term shows the day of the month by which payment is due
        and can include a discount for early payment.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your Conductor secret key using Bearer auth (e.g., `"Authorization:
        Bearer {{YOUR_SECRET_KEY}}"`).

````

Built with [Mintlify](https://mintlify.com).